autoweka

## Class ClassifierRunner

- java.lang.Object
- - autoweka.ClassifierRunner

-     public class ClassifierRunner
      extends java.lang.Object

  Class that is responsible for actually running a WEKA classifier from start to finish using the Auto-WEKA argument format. Note that this class can leak memory epically bad if it 'terminates' the classifier, so this should always be called in a sub process from your main work to prevent memouts

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ClassifierRunner.EvaluatorThread`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClassifierRunner(java.util.Properties props)` Prepares a runner with the specified properties.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `disableOutput()`
    `protected void` | `enableOutput()`
    `ClassifierResult` | `evaluateClassifierOnTesting(weka.classifiers.AbstractClassifier classifier, java.lang.String instanceStr, java.lang.String resultMetric, float evaluateClassifierOnInstances)`
    `InstanceGenerator` | `getInstanceGenerator()`
    `ClassifierResult` | `run(java.lang.String instanceStr, java.lang.String resultMetric, float timeout, java.lang.String mSeed, java.util.List<java.lang.String> args)` Public interface to running a classifier specified in the Auto-WEKA format of arguments to generate a classifier result
    `protected void` | `saveConfiguration(ClassifierResult res, java.util.List<java.lang.String> args, java.lang.String instanceStr)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClassifierRunner

          public ClassifierRunner(java.util.Properties props)

      Prepares a runner with the specified properties. Importantly, you must define 'instanceGenerator' and 'datasetString', while optional properties are 'verbose', 'onlyTest' and 'disableOutput'
      Parameters:
        `props` - Properties to set.

  - ### Method Detail

    - #### getInstanceGenerator

          public InstanceGenerator getInstanceGenerator()

    - #### run

          public ClassifierResult run(java.lang.String instanceStr,
                                      java.lang.String resultMetric,
                                      float timeout,
                                      java.lang.String mSeed,
                                      java.util.List<java.lang.String> args)

      Public interface to running a classifier specified in the Auto-WEKA format of arguments to generate a classifier result
      Parameters:
        `instanceStr` - The string describing the instances.
        `resultMetric` - The metric to use.
        `timeout` - The timeout.
        `mSeed` - The random seed.
        `args` - The list of arguments.
      Returns:
        The evaluation result.

    - #### evaluateClassifierOnTesting

          public ClassifierResult evaluateClassifierOnTesting(weka.classifiers.AbstractClassifier classifier,
                                                              java.lang.String instanceStr,
                                                              java.lang.String resultMetric,
                                                              float evaluateClassifierOnInstances)

    - #### saveConfiguration

          protected void saveConfiguration(ClassifierResult res,
                                           java.util.List<java.lang.String> args,
                                           java.lang.String instanceStr)

    - #### disableOutput

          protected void disableOutput()

    - #### enableOutput

          protected void enableOutput()